Subject: bug#26229: 26.0.50; shell-mode: turning off input echoing

From: Manuel Uberti <[email-masked]>
Date: Sat, 25 Mar 2017 18:57:32 +0100

Hi John,

I just did the same in "emacs -Q", have a look at the screenshot.

Still doesn't work for me.

Kind regards

Manuel Uberti
https://manuel-uberti.github.io

GPG fingerprint = 8702 9F53 2466 A6B5 E3F4 6B44 4E57 A6C4 CAA4 8F62

On 24/03/2017 18:49, John Mastro wrote:
> Hi Manuel,
> 
> Manuel Uberti <[email-masked]> wrote:
>> thanks for the quick reply. I'm afraid your solution doesn't fix
>> the problem for me. Could it depend on the shell I'm using? I'm using
>> the Fish shell.
> 
> I haven't used fish before but I don't think it should be a problem.
> 
> I tried to reproduce the problem in Emacs 26.0.50 (commit 211d41a) with
> fish 2.3.1 on Fedora 25 but it worked correctly for me.
> 
> I started emacs with "emacs -Q", then pasted the following into the
> *scratch* buffer and evaluated it:
> 
>     (setq explicit-shell-file-name (executable-find "fish"))
> 
>     (defun my-init-shell-mode ()
>       (setq comint-process-echoes t))
> 
>     (with-eval-after-load 'shell
>       (add-hook 'shell-mode-hook #'my-init-shell-mode))
> 
> I then invoked `M-x shell', confirmed I was using fish, and typed a few
> commands, none of which echoed the command.
> 
> Just to be sure, perhaps it's worth trying again, and confirm that the
> value of `comint-process-echoes' is t in the shell buffer? You can check
> it's value by invoking `M-: comint-process-echoes RET' while the shell
> buffer is current.
> 
>         John
>